package com.ibiz.mybatis.external.po;

import com.ibiz.core.repository.po.JQXBJ;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
/**
 * 关系型数据实体表[JQXBJ] 对象
 */
@TableName(value = "T_JQXBJ",resultMap = "T_JQXBJResultMap")
public class T_JQXBJImpl implements JQXBJ,Serializable {

    private Double Flxs;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean FlxsDirtyFlag;

    private String JQXBJName;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean JQXBJNameDirtyFlag;

    private Timestamp CreateDate;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CreateDateDirtyFlag;

    private BigDecimal Sjbf;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SjbfDirtyFlag;

    private BigDecimal Zrxe;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean ZrxeDirtyFlag;

    private Timestamp UpdateDate;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean UpdateDateDirtyFlag;

    /**
     * 交强险报价标识
     */        
    @TableId(value= "jqxbjid",type=IdType.UUID)//指定主键生成策略
    private String JQXBJId;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean JQXBJIdDirtyFlag;

    private String Tkdm;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean TkdmDirtyFlag;

    private String CreateMan;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CreateManDirtyFlag;

    private String UpdateMan;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean UpdateManDirtyFlag;

    private String Tkmc;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean TkmcDirtyFlag;

    private BigDecimal Jzbf;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean JzbfDirtyFlag;

    /**
     * 获取 [费率系数]
     */
    public Double getFlxs(){
        return Flxs ;
    }

    /**
     * 设置 [费率系数]
     */
    public void setFlxs(Double  flxs){
        this.Flxs = flxs ;
        this.FlxsDirtyFlag = true ;
    }
    /**
     * 获取 [费率系数]脏标记
     */
    @JsonIgnore
    public boolean getFlxsDirtyFlag(){
        return FlxsDirtyFlag ;
    }

    /**
     * 获取 [交强险报价名称]
     */
    public String getJQXBJName(){
        return JQXBJName ;
    }

    /**
     * 设置 [交强险报价名称]
     */
    public void setJQXBJName(String  jQXBJName){
        this.JQXBJName = jQXBJName ;
        this.JQXBJNameDirtyFlag = true ;
    }
    /**
     * 获取 [交强险报价名称]脏标记
     */
    @JsonIgnore
    public boolean getJQXBJNameDirtyFlag(){
        return JQXBJNameDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }
    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }

    /**
     * 获取 [实交保费]
     */
    public BigDecimal getSjbf(){
        return Sjbf ;
    }

    /**
     * 设置 [实交保费]
     */
    public void setSjbf(BigDecimal  sjbf){
        this.Sjbf = sjbf ;
        this.SjbfDirtyFlag = true ;
    }
    /**
     * 获取 [实交保费]脏标记
     */
    @JsonIgnore
    public boolean getSjbfDirtyFlag(){
        return SjbfDirtyFlag ;
    }

    /**
     * 获取 [责任限额]
     */
    public BigDecimal getZrxe(){
        return Zrxe ;
    }

    /**
     * 设置 [责任限额]
     */
    public void setZrxe(BigDecimal  zrxe){
        this.Zrxe = zrxe ;
        this.ZrxeDirtyFlag = true ;
    }
    /**
     * 获取 [责任限额]脏标记
     */
    @JsonIgnore
    public boolean getZrxeDirtyFlag(){
        return ZrxeDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }
    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [交强险报价标识]
     */
    public String getJQXBJId(){
        return JQXBJId ;
    }

    /**
     * 设置 [交强险报价标识]
     */
    public void setJQXBJId(String  jQXBJId){
        this.JQXBJId = jQXBJId ;
        this.JQXBJIdDirtyFlag = true ;
    }
    /**
     * 获取 [交强险报价标识]脏标记
     */
    @JsonIgnore
    public boolean getJQXBJIdDirtyFlag(){
        return JQXBJIdDirtyFlag ;
    }

    /**
     * 获取 [条款代码]
     */
    public String getTkdm(){
        return Tkdm ;
    }

    /**
     * 设置 [条款代码]
     */
    public void setTkdm(String  tkdm){
        this.Tkdm = tkdm ;
        this.TkdmDirtyFlag = true ;
    }
    /**
     * 获取 [条款代码]脏标记
     */
    @JsonIgnore
    public boolean getTkdmDirtyFlag(){
        return TkdmDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }
    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }
    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }

    /**
     * 获取 [条款名称]
     */
    public String getTkmc(){
        return Tkmc ;
    }

    /**
     * 设置 [条款名称]
     */
    public void setTkmc(String  tkmc){
        this.Tkmc = tkmc ;
        this.TkmcDirtyFlag = true ;
    }
    /**
     * 获取 [条款名称]脏标记
     */
    @JsonIgnore
    public boolean getTkmcDirtyFlag(){
        return TkmcDirtyFlag ;
    }

    /**
     * 获取 [基准保费]
     */
    public BigDecimal getJzbf(){
        return Jzbf ;
    }

    /**
     * 设置 [基准保费]
     */
    public void setJzbf(BigDecimal  jzbf){
        this.Jzbf = jzbf ;
        this.JzbfDirtyFlag = true ;
    }
    /**
     * 获取 [基准保费]脏标记
     */
    @JsonIgnore
    public boolean getJzbfDirtyFlag(){
        return JzbfDirtyFlag ;
    }

}